%define module_name Map-Tube
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(JSON.pm) perl(Map/Tube/Exception.pm) perl(Map/Tube/Plugin/Formatter.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/Options.pm) perl(Role/Tiny.pm) perl(Taint/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Throwable.pm) perl(Type/Tiny.pm) perl(XML/Parser.pm) perl(XML/Twig.pm) perl(namespace/autoclean.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.62
Release: alt1
Summary: Core library as Role (Moo) to process map data.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MANWAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The core module defined as Role (Moo) to process  the map data.  It provides the
the interface to find the shortest route in terms of stoppage between two nodes.
Also you can get all possible routes between two given nodes.

This role has been taken by the following modules (and many more):

=over 2

=item * the Map::Tube::London manpage

=item * the Map::Tube::Tokyo manpage

=item * the Map::Tube::NYC manpage

=item * the Map::Tube::Delhi manpage

=item * the Map::Tube::Barcelona manpage

=item * the Map::Tube::Prague manpage

=item * the Map::Tube::Warsaw manpage

=item * the Map::Tube::Sofia manpage

=item * the Map::Tube::Berlin manpage

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*

%changelog
* Mon May 13 2019 Igor Vlasenko <viy@altlinux.ru> 3.62-alt1
- updated by package builder

* Thu Apr 18 2019 Igor Vlasenko <viy@altlinux.ru> 3.61-alt1
- updated by package builder

* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 3.60-alt1
- updated by package builder

* Fri Jan 04 2019 Igor Vlasenko <viy@altlinux.ru> 3.59-alt1
- regenerated from template by package builder

* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 3.58-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 3.57-alt1
- regenerated from template by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 3.56-alt1
- regenerated from template by package builder

* Sat Aug 11 2018 Igor Vlasenko <viy@altlinux.ru> 3.55-alt1
- regenerated from template by package builder

* Tue Aug 07 2018 Igor Vlasenko <viy@altlinux.ru> 3.54-alt1
- regenerated from template by package builder

* Fri Jun 29 2018 Igor Vlasenko <viy@altlinux.ru> 3.53-alt1
- regenerated from template by package builder

* Wed Jun 27 2018 Igor Vlasenko <viy@altlinux.ru> 3.52-alt1
- regenerated from template by package builder

* Wed May 30 2018 Igor Vlasenko <viy@altlinux.ru> 3.51-alt1
- regenerated from template by package builder

* Tue Apr 24 2018 Igor Vlasenko <viy@altlinux.ru> 3.50-alt1
- regenerated from template by package builder

* Mon Apr 09 2018 Igor Vlasenko <viy@altlinux.ru> 3.49-alt1
- regenerated from template by package builder

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 3.48-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.47-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 3.43-alt1
- regenerated from template by package builder

* Sat Nov 25 2017 Igor Vlasenko <viy@altlinux.ru> 3.42-alt1
- regenerated from template by package builder

* Wed Nov 22 2017 Igor Vlasenko <viy@altlinux.ru> 3.41-alt1
- regenerated from template by package builder

* Mon Nov 20 2017 Igor Vlasenko <viy@altlinux.ru> 3.40-alt1
- regenerated from template by package builder

* Sat Nov 18 2017 Igor Vlasenko <viy@altlinux.ru> 3.39-alt1
- regenerated from template by package builder

* Thu Nov 16 2017 Igor Vlasenko <viy@altlinux.ru> 3.38-alt1
- regenerated from template by package builder

* Sat Nov 11 2017 Igor Vlasenko <viy@altlinux.ru> 3.37-alt1
- regenerated from template by package builder

* Mon Oct 23 2017 Igor Vlasenko <viy@altlinux.ru> 3.36-alt1
- regenerated from template by package builder

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 3.35-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 3.34-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 3.32-alt1
- regenerated from template by package builder

* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 3.28-alt1
- regenerated from template by package builder

* Mon Feb 27 2017 Igor Vlasenko <viy@altlinux.ru> 3.27-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 3.22-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 3.21-alt1
- regenerated from template by package builder

* Sun Aug 07 2016 Igor Vlasenko <viy@altlinux.ru> 3.18-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 3.17-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 3.16-alt1
- regenerated from template by package builder

* Thu Jun 16 2016 Igor Vlasenko <viy@altlinux.ru> 3.13-alt1
- regenerated from template by package builder

* Tue Nov 03 2015 Igor Vlasenko <viy@altlinux.ru> 3.12-alt1
- regenerated from template by package builder

* Mon Oct 26 2015 Igor Vlasenko <viy@altlinux.ru> 3.11-alt1
- regenerated from template by package builder

* Fri Apr 17 2015 Igor Vlasenko <viy@altlinux.ru> 3.00-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 2.99-alt1
- regenerated from template by package builder

* Tue Feb 10 2015 Igor Vlasenko <viy@altlinux.ru> 2.78-alt1
- regenerated from template by package builder

* Thu Feb 05 2015 Igor Vlasenko <viy@altlinux.ru> 2.77-alt1
- regenerated from template by package builder

* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 2.74-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.64-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 2.57-alt1
- regenerated from template by package builder

* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 2.46-alt1
- regenerated from template by package builder

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 2.42-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 2.26-alt1
- regenerated from template by package builder

* Tue Jul 15 2014 Igor Vlasenko <viy@altlinux.ru> 2.22-alt1
- initial import by package builder

